picard.illumina.quality

## Class CollectHiSeqXPfFailMetrics.PFFailDetailedMetric

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.illumina.quality.CollectHiSeqXPfFailMetrics.PFFailDetailedMetric

- Enclosing class:
    CollectHiSeqXPfFailMetrics

      public static class CollectHiSeqXPfFailMetrics.PFFailDetailedMetric
      extends htsjdk.samtools.metrics.MetricBase

  a metric class for describing FP failing reads from an Illumina HiSeqX lane *

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason` | `CLASSIFICATION` The classification of this read: {EMPTY, POLYCLONAL, MISALIGNED, UNKNOWN} (See PFFailSummaryMetric for explanation regarding the possible classification.)
    `int` | `NUM_N` The number of Ns found in this read
    `int` | `NUM_Q_GT_TWO` The number of Quality scores greater than 2 found in this read
    `Integer` | `TILE` The Tile that is described by this metric
    `int` | `X` The X coordinate of the read within the tile
    `int` | `Y` The Y coordinate of the read within the tile

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PFFailDetailedMetric()` This ctor is necessary for when reading metrics from file
    `PFFailDetailedMetric(Integer TILE, int x, int y, int NUM_N, int NUM_Q_GT_TWO, CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason CLASSIFICATION)`

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TILE

          public Integer TILE

      The Tile that is described by this metric

    - #### X

          public int X

      The X coordinate of the read within the tile

    - #### Y

          public int Y

      The Y coordinate of the read within the tile

    - #### NUM_N

          public int NUM_N

      The number of Ns found in this read

    - #### NUM_Q_GT_TWO

          public int NUM_Q_GT_TWO

      The number of Quality scores greater than 2 found in this read

    - #### CLASSIFICATION

          public CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason CLASSIFICATION

      The classification of this read: {EMPTY, POLYCLONAL, MISALIGNED, UNKNOWN} (See PFFailSummaryMetric for explanation regarding the possible classification.)

  - ### Constructor Detail

    - #### PFFailDetailedMetric

          public PFFailDetailedMetric(Integer TILE,
                                      int x,
                                      int y,
                                      int NUM_N,
                                      int NUM_Q_GT_TWO,
                                      CollectHiSeqXPfFailMetrics.ReadClassifier.PfFailReason CLASSIFICATION)

    - #### PFFailDetailedMetric

          public PFFailDetailedMetric()

      This ctor is necessary for when reading metrics from file